Confirm an enterprise email-ownership verification code
Submit the 6-digit code that was emailed to the enterprise account’s contact email. On success the contact email is marked verified.
For security, any failure (wrong, expired, already-used, or too many attempts) returns the same generic message.
POST
/
enterprises
/
{enterprise_id}
/
verify_email
/
confirm
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.enterprises.verifyEmail.confirm('enterprise_id', {
code: '482915',
});
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.enterprises.verify_email.confirm(
enterprise_id="enterprise_id",
code="482915",
)
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Enterprises.VerifyEmail.Confirm(
context.TODO(),
"enterprise_id",
telnyx.EnterpriseVerifyEmailConfirmParams{
Code: "482915",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.enterprises.verifyEmail.VerifyEmailConfirmParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
VerifyEmailConfirmParams params = VerifyEmailConfirmParams.builder()
.code("482915")
.build();
var response = client.enterprises().verifyEmail().confirm("enterprise_id", params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.enterprises.verify_email.confirm("enterprise_id", code: "482915")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->enterprises->verifyEmail->confirm(
'enterprise_id',
code: '482915',
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx enterprises:verify-email confirm \
--api-key 'My API Key' \
--enterprise-id 4a6192a4-573d-446d-b3ce-aff9117272a6 \
--code 482915curl --request POST \
--url https://api.telnyx.com/v2/enterprises/{enterprise_id}/verify_email/confirm \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "482915"
}
'{
"data": {
"record_type": "email_verification",
"email_verified": false,
"status": "sent",
"expires_at": "2026-07-30T17:15:00Z",
"sends_remaining_today": 9
}
}Authorizations
Telnyx API key. Generate one at https://portal.telnyx.com/#/app/api-keys.
Path Parameters
The enterprise id. Lowercase UUID.
Example:
"4a6192a4-573d-446d-b3ce-aff9117272a6"
Body
application/json
The 6-digit code sent to the enterprise account's contact email.
Required string length:
6Pattern:
^\d{6}$Example:
"482915"
Response
The contact email is verified.
Verification state for an enterprise account's contact email.
Show child attributes
Show child attributes
Was this page helpful?
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.enterprises.verifyEmail.confirm('enterprise_id', {
code: '482915',
});
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.enterprises.verify_email.confirm(
enterprise_id="enterprise_id",
code="482915",
)
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Enterprises.VerifyEmail.Confirm(
context.TODO(),
"enterprise_id",
telnyx.EnterpriseVerifyEmailConfirmParams{
Code: "482915",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.enterprises.verifyEmail.VerifyEmailConfirmParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
VerifyEmailConfirmParams params = VerifyEmailConfirmParams.builder()
.code("482915")
.build();
var response = client.enterprises().verifyEmail().confirm("enterprise_id", params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.enterprises.verify_email.confirm("enterprise_id", code: "482915")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->enterprises->verifyEmail->confirm(
'enterprise_id',
code: '482915',
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx enterprises:verify-email confirm \
--api-key 'My API Key' \
--enterprise-id 4a6192a4-573d-446d-b3ce-aff9117272a6 \
--code 482915curl --request POST \
--url https://api.telnyx.com/v2/enterprises/{enterprise_id}/verify_email/confirm \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "482915"
}
'{
"data": {
"record_type": "email_verification",
"email_verified": false,
"status": "sent",
"expires_at": "2026-07-30T17:15:00Z",
"sends_remaining_today": 9
}
}